org.eclipse.jgit.transport

## Class CredentialItem.YesNoType

- java.lang.Object
- - org.eclipse.jgit.transport.CredentialItem
  - - org.eclipse.jgit.transport.CredentialItem.YesNoType

Enclosing class:
  CredentialItem

    public static class CredentialItem.YesNoType
    extends CredentialItem

An item whose value is a boolean choice, presented as Yes/No.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.jgit.transport.CredentialItem

`CredentialItem.CharArrayType, CredentialItem.InformationalMessage, CredentialItem.Password, CredentialItem.StringType, CredentialItem.Username, CredentialItem.YesNoType`

### Constructor Summary

Constructors
Constructor and Description
`YesNoType(String promptText)` Initialize a prompt for a single boolean answer.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()` Clear the stored value, destroying it as much as possible.
`boolean` `getValue()`
`void` `setValue(boolean newValue)` Set the new value.

### Methods inherited from class org.eclipse.jgit.transport.CredentialItem

`getPromptText, isValueSecure`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### YesNoType

    public YesNoType(String promptText)

Initialize a prompt for a single boolean answer.

Parameters:
  `promptText` - prompt to display to the user alongside of the input field. Should be sufficient text to indicate what to supply for this item.

### Method Detail

#### clear

    public void clear()

Description copied from class: `CredentialItem`
Clear the stored value, destroying it as much as possible.

Specified by:
  `clear` in class `CredentialItem`

#### getValue

    public boolean getValue()

Returns:
  the current value

#### setValue

    public void setValue(boolean newValue)

Set the new value.

Parameters:
  `newValue` -